[ VIGRA Homepage | Function Index | Class Index | Namespaces | File List | Main Page ]

Public Types | Public Member Functions | List of all members
XYZ2RGBFunctor< T > Class Template Reference

Convert standardized tri-stimulus XYZ into linear (raw) RGB. More...

`#include <vigra/colorconversions.hxx>`

## Public Types

typedef TinyVector< T, 3 > | argument_type
typedef TinyVector< T, 3 > | result_type
typedef TinyVector< T, 3 > | value_type

## Public Member Functions

template<class V>
result_type | operator() (V const &xyz) const
| XYZ2RGBFunctor ()
| XYZ2RGBFunctor (component_type max)

## Detailed Description

template<class T>
class vigra::XYZ2RGBFunctor< T >

Convert standardized tri-stimulus XYZ into linear (raw) RGB.

#include <vigra/colorconversions.hxx>
Namespace: vigra

According to ITU-R Recommendation BT.709, the functor realizes the transformation

By default, . This default can be overridden in the constructor. This is the inverse transform of vigra::RGB2XYZFunctor.

Traits defined:

FunctorTraits::isUnaryFunctor is true (VigraTrueType)

## Member Typedef Documentation

## ◆ argument_type

template<class T>

typedef TinyVector<T, 3> argument_type

the functor's argument type. (Actually, the argument type is more general: V with arbitrary V. But this cannot be expressed in a typedef.)

## ◆ result_type

template<class T>

typedef TinyVector<T, 3> result_type

the functor's result type

## ◆ value_type

template<class T>

typedef TinyVector<T, 3> value_type

Deprecated
  use argument_type and result_type

## Constructor & Destructor Documentation

## ◆ XYZ2RGBFunctor() [1/2]

template<class T>

XYZ2RGBFunctor | ( |  | ) |

default constructor. The maximum value for each RGB component defaults to 255.

## ◆ XYZ2RGBFunctor() [2/2]

template<class T>

XYZ2RGBFunctor | ( | component_type | max | ) |

constructor

- max - the maximum value for each RGB component

## Member Function Documentation

## ◆ operator()()

template<class T>
template<class V>

result_type operator() | ( | V const & | xyz | ) | const

apply the transformation

The documentation for this class was generated from the following file:

- vigra/colorconversions.hxx

© Ullrich Köthe (ullrich.koethe@iwr.uni-heidelberg.de) Heidelberg Collaboratory for Image Processing, University of Heidelberg, Germany | html generated using doxygen and Python vigra 1.12.4